# Raspberry Pi Pico + Arducam hm01b0 UVC Firmware

A very simple firmware for the arducam hm01b0 & raspberry pi pico that uses usb uvc protocol.

It honestly barely works, but the [tinyusb](https://github.com/hathach/tinyusb/tree/master) implementation of uvc is still a work in progress so theoretically this will get better as tinyusb's uvc develops.

One consistant way to get this to work is using [OBS Studio's](https://obsproject.com/) virtual camera, a lot of other webcam programs do not play nice with it.

Another issue is that beacuse the image exported is 150x150px, some Voip programs will not be able to detect your output so you will need to scale the output to at least 1024x1024px

This has only been tested on linux, although it should work anywhere that the tinyusb uvc library works.

Also, during testing I had this weird issue where pipewire would randomly eat up all of my ram, so I decided to keep the [shell script](./pipewire_reset.sh) in this repo for reference in case you run into the same issue.

### building

```sh
mkdir build && cd build && cmake .. && make
```

The output file is called `arducam_firmware_uvc.uf2`
